/*
 *	fs.h
 */

/*	Copyright (C) 1999, 2000, 2001 Sebastian Biallas (sb@web-productions.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef FS_H
#define FS_H

#include <stdio.h>
#include "common.h"

void fsinit(ht_stream_filter *f);
void fstrput(ht_stream_filter *f, char *s);
void fstrget(ht_stream_filter *f, char **p);
void fstrflush(ht_stream_filter *f);
void fstrload(ht_stream_filter *f);

#endif
